Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class Injector

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.Injector

    public class Injector
    extends java.lang.Object

Injector nested element.

### Field Summary

Fields
`protected java.lang.String` `name`

### Constructor Summary

Constructors
`Injector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredClasspath​(Classpath c)` Adds a `Classpath`.
`void` `addConfiguredParam​(Param p)` Adds a `Param`.
`java.util.List<Classpath>` `getClasspath()`
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,​java.lang.Object>` `getParams()`
`void` `setName​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

### Constructor Detail

#### Injector

    public Injector()

### Method Detail

#### addConfiguredParam

    public void addConfiguredParam​(Param p)

Adds a `Param`.

Parameters:
  `p` - the parameter

#### addConfiguredClasspath

    public void addConfiguredClasspath​(Classpath c)

Adds a `Classpath`.

Parameters:
  `c` - the classpath

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getParams

    public java.util.Map<java.lang.String,​java.lang.Object> getParams()

#### getClasspath

    public java.util.List<Classpath> getClasspath()